TAAS - Feature #104

Ticket/Voucher Note
11/25/2022 01:33 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 11/25/2022
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Ticket/Voucher Note

Description

Coding Ticket/Voucher Note

History

#1 - 11/26/2022 08:03 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

Ul Changes =>

1) Add check box inside OK search box , set tooltip as "With blocked notes". Se Default checkbox state as ticked.

2) Add Checkbox Label Status, Next to Show in invoice widget.

3) In List blocked item should be greyed.

#2 - 12/01/2022 01:50 PM - Anil KV
- Assignee changed from Junaid M to Akash B

#3 - 12/07/2022 03:59 PM - Akash B
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 12/12/2022 11:14 AM - Akash B
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#5 - 12/14/2022 10:28 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.FIX ERRORS ON DATE

(ADDED NOTES CHANGE IN TO PREVIPUS DATE AFTER UPDATE)
#6 - 01/03/2023 04:56 PM - Akash B
- Status changed from Reopen Bugs to Coding Done

- % Done changed from 50 to 60

#7 - 01/05/2023 09:41 AM - Akash B
- Status changed from Coding Done to Reopen Bugs Coding Done

#8 - 02/09/2023 05:20 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIX BUGS ON'INACTIVE' CHECK BOX

#9 - 02/09/2023 06:03 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 06/02/2023 05:56 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on inline check box
2.Prevent duplication on update
3.Set alignment on GUI

(Label, Input box , Button)

#11 - 06/05/2023 04:06 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Bugs Fixed

#12 - 08/10/2023 04:52 PM - Seema Mathew

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to Seema Mathew

ISSUE FOUNDED

1. ISSUE WHILE CHOOSING DATE

#13 - 08/12/2023 11:19 AM - Akash B

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bugs Fixed

#14 - 10/07/2023 05:21 PM - Junaid M

- Assignee changed from Akash B to Abhiram Venu

#15 - 10/11/2023 02:16 PM - Abhiram Venu
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#16 - 10/11/2023 04:26 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 03/05/2024 10:23 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.SHOW ALL INACTIVE NOTES AS RED
2.SHOW PRINT DEFAULT

#18 - 03/06/2024 09:42 AM - Anil KV

- Assignee changed from Abhiram Venu to Vivekp V

#19 - 03/06/2024 04:51 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.SHOW ALL INACTIVE NOTES AS RED
2.SHOW PRINT DEFAULT

#20 - 09/11/2024 03:58 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Correct The Created Date Format in Print As Shown In Ul
(Consider:Account,Document Notes Also)

#21 - 09/12/2024 09:52 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

SSUE FIXED

1.Correct The Created Date Format in Print As Shown In Ul
(Consider:Account,Document Notes Also)

#22 - 09/26/2024 03:54 PM - Junaid M

- Assignee changed from Vivekp V to Sreeranjini T

#23 - 09/26/2024 03:54 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#24 - 09/30/2024 03:00 PM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#25 - 10/15/2024 11:17 AM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50
ISSUE FOUND

1. Remove the validation in new note if the new voucher number is already entered.

2. Each update get saved as a new note before reloading the page.
3. Subject get removed from grid after reloading.

NEW CHANGES

Add Status Selectbox values -> (Above Legal Action Start)
Next Level Process Start

Next Level Processing

Next Level Process Completed

#26 - 10/17/2024 10:18 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#27 - 11/19/2024 11:23 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)Remove Active/inactive status from date field

#28 - 11/19/2024 03:20 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#29 - 11/19/2024 05:30 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#30 - 11/22/2024 11:24 AM - Arathy PS

Ticket/Voucher Note Icon

Use icon everywhere where ticket/voucher note is used

<i class="fa fa-commenting-o" aria-hidden="true"></i>

Files

1-CsModel.cs 1.7 KB 11/26/2022 Junaid M
2-tsModel.ts 1.07 KB 11/26/2022 Junaid M
3-CsFile.cs 12.6 KB 11/26/2022 Junaid M
4-CsControllerFile.cs 24.8 KB 11/26/2022 Junaid M
5-TsFile.ts 14.4 KB 11/26/2022 Junaid M
6-HtmlFile.html 1.92 KB 11/26/2022 Junaid M
sql.sql 10.3 KB 11/26/2022 Junaid M
